/*
 * WertZelle.java	01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

import java.text.NumberFormat;

/** <i>Zelle f&uuml;r Zahlen (Details siehe Klasse Zelle)</i> */

public class WertZelle extends Zelle
{
   double Wert;

   public String getAnzeige()  
   { 
      NumberFormat nf = NumberFormat.getInstance();
      nf.setMaximumFractionDigits(Nachkomma);
      nf.setMinimumFractionDigits(Nachkomma);
      String s = nf.format(Wert);
      return s;
   }

   public String getInhalt()  { return getAnzeige(); }
   public double getWert()  { return Wert; }
	

   WertZelle (AnzeigeZelle View, double w)   
   { 
      super(View); 
      Wert = w; 
      Nachkomma = 2;
   }

   public Zelle kopie()
   {
      Zelle z = new WertZelle(null,Wert);
      z.Ausrichtung = Ausrichtung;
   	  z.Nachkomma = Nachkomma;
      return z;
   }
}